TypechoJoeTheme

武小栈

武小栈

学习、记录、总结、分享

最新文章

2021-01-29

[分享栈]iview中按需引用组件List、ListItem、ListItemMeta报错

[分享栈]iview中按需引用组件List、ListItem、ListItemMeta报错
1.前言今天武小栈在用iview时遇到了一个引用错误,Module not found: Error: Can't resolve 'view-design/src/components/list-item' ,折腾了许久之后终于得以解决,其实是一个小问题。2.正文先看编译时的报错情况:提示需要安装这个包,我就想是不是用cli导入的包太老了,不包含这个组件,当我使用npm命令安装最新包的时候依然报这个错误,百度也是无果,只能看下源码了,打开工程目录node_modules\view-design\src\components\list下的index.js文件可以看到:这下恍然大悟,原来listitem已经被包含到了list组件里面。只需要这样引用即可。3.后记如果对你有帮助,别忘了收藏iview中按需引用组件List、ListItem、ListItemMeta
武小栈
2021-01-29

分享栈,经验栈

346 阅读
0 评论
2021年01月29日
346 阅读
0 评论
2021-01-28

[分享栈]EACCES npm ERR! FetchError request to httpsregistry.npm.taobao.orgcnpm failed解决方案

[分享栈]EACCES npm ERR! FetchError request to httpsregistry.npm.taobao.orgcnpm failed解决方案
1.前言太久没有做前端开发了,今天有需求做一点前端开发,但是在用vue-cli创建工程的时候老是报错,今天做一个问题记录。2.正文先说解决方案:重新安装node.js软件。 将默认安装地址修改到除C盘之外的盘符。错误最初情况为:EACCES ERROR Failed to get response from https://registry.npm.taobao.org/vue-cli-version-marker但是直接访问 https://registry.npm.taobao.org/vue-cli-version-marker 是能访问的,后面经过一系列乱摸索,比如换源,将https改为http,问题始终不得解决。后来尝试使用npm安装其他包,但是全都报FetchError错误。npm ERR! FetchError: request to http://registry.npm.taobao.org/yarn failed, reason: connect EACCES 117.174.129.101:80折腾了许久都找不到解决方案,只能仔细的看下这个报错详情了,最后提...
武小栈
2021-01-28

分享栈

406 阅读
0 评论
2021年01月28日
406 阅读
0 评论
2020-12-23

[分享栈]esxi6.7虚拟机安装omv(openmediavault)教程

[分享栈]esxi6.7虚拟机安装omv(openmediavault)教程
esxi6.7虚拟机安装omv(openmediavault)教程[TOC]1、下载ISO镜像1 打开openmediavault官网,点击导航栏的Download,然后点击下图的here跳转到下载界面;2 点击下图中的Download Latest Version按钮即可以开始下载,嫌麻烦的也可以直接点击下面链接下载openmediavault 5.5.11版https://udomain.dl.sourceforge.net/project/openmediavault/5.5.11/openmediavault_5.5.11-amd64.iso2、将镜像文件导入到esxi数据存储中1 登陆esxi管理页面,依次点击存储--数据存储--数据存储浏览器--上载,选择刚才下载的openmediavault_5.5.11-amd64.iso,等待上传完成。2 新建虚拟机,依次点击虚拟机--创建/注册虚拟机--创建新虚拟机--下一步3 名称随意输入,客户机操作系统系列选择Linux,客户机操作系统版本选择Debian FNU/Linux 10(32位)。4 CPU,内存,硬盘根据需要...
武小栈
2020-12-23

分享栈

3,207 阅读
0 评论
2020年12月23日
3,207 阅读
0 评论
2020-08-03

[经验栈]centos7下编译紫光展锐UIS891xDM平台固件

[经验栈]centos7下编译紫光展锐UIS891xDM平台固件
1、前言最近项目需要在centos系统下编译紫光展锐平台的sdk,但是频频报错,而且错误提示也很有误导性,导致一直不得其真谛,武小栈今天分析一下关于这次环境搭建的记录。2、正文编程指南里面提供了linux环境编译命令和需求,在ubuntu16.04中只需要安装python3即可实现命令编译。前提:项目工程源码在windows环境中编译通过。第一次,在centos7中安装python3,尝试编译,编译失败,提示缺少配置文件。怀疑文件读写权限导致文件读写失败,换成root用户,并给项目文件所有权限。第二次,在centos7中编译失败,提示缺少配置文件。手动复制配置文件到指定文件夹。第三次,在centos7中编译失败,提示缺少ninja。安装ninja。第四次,在centos7中编译失败,提示ninja配置文件缺失。第五次,在ubuntu16.04中编译,提示文件格式不正确,利用fromdos将shell脚本全转换一遍,编译成功。...第N次,安装gcc10.2.0,编译成功。3、centos7编译环境搭建1、安装高版本gcc,可以安装gcc10.2.0,安装方法参考链接:centos...
武小栈
2020-08-03

经验栈

3,394 阅读
3 评论
2020年08月03日
3,394 阅读
3 评论
2020-08-03

[分享栈]centos7安装python3.8.5

[分享栈]centos7安装python3.8.5
1、切换到root账户2、更新yum源yum update中间有询问过程,直接y同意更新就好了。3、安装依赖项yum install zlib-devel bzip2-devel openssl-devel ncurses-devel sqlite-devel readline-devel tk-devel libffi-devel gcc make4、下载python3.8.5wget -P /home https://cdn.npm.taobao.org/dist/python/3.8.5/Python-3.8.5.tgz5、解压cd /home && tar -zxvf Python-3.8.5.tgz6、配置编译cd Python-3.8.5 mkdir /usr/local/python3.8.5 ./configure --prefix=/usr/local/python3.8.5 ./configure --enable-optimizations 如果出现错误信息:SystemError: <built-in function compi...
武小栈
2020-08-03

分享栈

3,630 阅读
0 评论
2020年08月03日
3,630 阅读
0 评论

最新回复

  1. Richard Wahl
    2021-05-10
  2. Xunflash
    2021-02-20
  3. Zack Mortensen
    2021-02-13
  4. Shawna Box
    2021-01-26
  5. 刘工
    2020-09-27